Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pam > 0.78-r5 emerge problem (SOLVED)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
GNUdo
n00b
n00b


Joined: 27 May 2005
Posts: 8

PostPosted: Fri Nov 16, 2007 12:15 pm    Post subject: pam > 0.78-r5 emerge problem (SOLVED) Reply with quote

It seems I can't emerge any version of pam > 0.78-r5.
I always get this error:
Code:
make[4]: Entering directory `/var/tmp/portage/sys-libs/pam-0.99.8.1-r1/work/Linux-PAM-0.99.8.1/conf/pam_conv1'
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..     -march=nocona -O2 -pipe -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-declarations -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wstrict-prototypes -Wwrite-strings -Winline -Wshadow -c pam_conv_l.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..     -march=nocona -O2 -pipe -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-declarations -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wstrict-prototypes -Wwrite-strings -Winline -Wshadow -c pam_conv_y.c
pam_conv_l.c: In function 'yy_get_next_buffer':
pam_conv_l.c:995: warning: comparison between signed and unsigned
pam_conv_l.c: At top level:
pam_conv_l.c:1579: warning: no previous prototype for 'yyget_in'
pam_conv_l.c:1587: warning: no previous prototype for 'yyget_out'
pam_conv_l.c:1595: warning: no previous prototype for 'yyget_leng'
pam_conv_l.c:1604: warning: no previous prototype for 'yyget_text'
pam_conv_l.c:1615: warning: no previous prototype for 'yyset_in'
pam_conv_l.c:1620: warning: no previous prototype for 'yyset_out'
pam_conv_l.c:1625: warning: no previous prototype for 'yyget_debug'
pam_conv_l.c:1630: warning: no previous prototype for 'yyset_debug'
pam_conv_l.c:1664: warning: no previous prototype for 'yylex_destroy'
pam_conv_l.c:1087: warning: 'yyunput' defined but not used
/bin/sh ../../libtool --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -march=nocona -O2 -pipe -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-declarations -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wstrict-prototypes -Wwrite-strings -Winline -Wshadow  -Wl,--as-needed -Wl,-O1 -o pam_conv1 pam_conv_l.o pam_conv_y.o 
mkdir .libs
x86_64-pc-linux-gnu-gcc -march=nocona -O2 -pipe -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-declarations -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wstrict-prototypes -Wwrite-strings -Winline -Wshadow -Wl,--as-needed -Wl,-O1 -o pam_conv1 pam_conv_l.o pam_conv_y.o   
pam_conv_l.o: In function `yylex':
pam_conv_l.c:(.text+0xb28): undefined reference to `yywrap'
collect2: ld returned 1 exit status
make[4]: *** [pam_conv1] Error 1
make[4]: Leaving directory `/var/tmp/portage/sys-libs/pam-0.99.8.1-r1/work/Linux-PAM-0.99.8.1/conf/pam_conv1'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/var/tmp/portage/sys-libs/pam-0.99.8.1-r1/work/Linux-PAM-0.99.8.1/conf/pam_conv1'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/sys-libs/pam-0.99.8.1-r1/work/Linux-PAM-0.99.8.1/conf'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/sys-libs/pam-0.99.8.1-r1/work/Linux-PAM-0.99.8.1'
make: *** [all] Error 2


and this is my emerge --info
Code:
Portage 2.1.3.19 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-gentoo-r8 x86_64)
=================================================================
System uname: 2.6.22-gentoo-r8 x86_64 Intel(R) Core(TM)2 Quad CPU @ 2.66GHz
Timestamp of tree: Fri, 16 Nov 2007 11:16:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.22-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.uoi.gr/mirror/OS/gentoo/ http://mirror.ing.unibo.it/gentoo/ http://ftp.lug.ro/gentoo/"
LANG="it_IT"
LINGUAS="it"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acpi alsa amd64 avahi avi browserplugin bzip2 cairo cdr cups dbus dri dts dv dvd dvdr dvdread exif ffmpeg fftw firefox flac foomaticdb gd gif gimp gimpprint gnome gstreamer gtk gtk2 hal jpeg libnotify lzw lzw-tiff mad mmx mmx2 mp3 mpeg nautilus ncurses nls nptl ogg oggvorbis opengl pam pdflib png ppds readline samba sse sse2 sse3 threads tiff unicode usb vorbis xprint xscreensaver xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Anyone else having this?


Last edited by GNUdo on Fri Nov 16, 2007 3:10 pm; edited 1 time in total
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3767

PostPosted: Fri Nov 16, 2007 12:35 pm    Post subject: Reply with quote

found this debain bug with apparently the same issue but is about crosscompile environment issues ( as far as i understand ...).
I would open a bug in gentoo´s bugzilla and cc flameeyes.

good luck !
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
GNUdo
n00b
n00b


Joined: 27 May 2005
Posts: 8

PostPosted: Fri Nov 16, 2007 3:09 pm    Post subject: Reply with quote

I filed a bug report on gentoo's bugzilla and there was suggested to recompile sys-devel/flex which was broken.
After flex recompilation I was able to upgrade pam to 0.99.8.1-r1.

Thank you all!
Back to top
View user's profile Send private message
avion23
n00b
n00b


Joined: 20 Jul 2009
Posts: 8

PostPosted: Thu Aug 14, 2014 3:45 pm    Post subject: Reply with quote

fireburn wrote in https://bugs.launchpad.net/gentoo-pandora-toolbox/+bug/297265
Quote:
Incase anyone else has hit this problem too -- flex must be built without LTO on gcc 4.9

which works for me as well.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum